mySoftware [Updates]

Once you create a user profile on Motifator and update with the appropriate information, the updates shown here will be specific to you.

rssFeeds [Syndicate]


forumforum
 

Old Motifator threads are available in the Archive.

Viewing topic "Motu 828 MKII Question"

     
Posted on: September 08, 2014 @ 08:08 PM
Venatt
Avatar
Total Posts:  710
Joined  07-11-2004
status: Guru

Does somebody know if the Motu 828MKII MIDI Audio/Firewire Interface that came out like back in 2003 is now completely obsolete to be used with a MacBookPro or is still good ?

  [ Ignore ]  

Posted on: September 08, 2014 @ 08:24 PM
philwoodmusic
Avatar
Total Posts:  948
Joined  07-01-2013
status: Guru

MOTU are usually really good at keeping their products alive.

http://www.motu.com/download/download_matching_downloads.html?product_id=21

Judging from this page, It looks fine and there’s a 2014 driver for everything.

If you look down the list to the one they made in 2011 it says “Supported legacy MOTU products include the 1224, 1296, 2408, 2408mkII, 24i, 308, 828, 828mkII, 896, 896HD, Traveler, and the UltraLite.”

There’s nothing that says they’ve stopped doing that.

edit…

In fact the 2014 driver has a readme that says they still support all those legacy products. 

• Legacy products: 1224, 1296, 2408, 2408mkII, 24i, 308, 828, 828mkII (FireWire and USB), 896, 896HD,
MicroBook, Traveler, and the UltraLite.

Supported Operating Systems:
• Mac OS X 10.9
• Mac OS X 10.8
• Mac OS X 10.7
• Mac OS X 10.6

  [ Ignore ]  

Posted on: September 09, 2014 @ 05:22 AM
dsetto
Total Posts:  402
Joined  01-24-2014
status: Enthusiast

I use it actively with no problems on snow leopard for pro tools 9 on a 2008 MBP.

  [ Ignore ]  

Posted on: September 09, 2014 @ 01:19 PM
Venatt
Avatar
Total Posts:  710
Joined  07-11-2004
status: Guru
philwoodmusic - 08 September 2014 08:24 PM

MOTU are usually really good at keeping their products alive.

http://www.motu.com/download/download_matching_downloads.html?product_id=21

Judging from this page, It looks fine and there’s a 2014 driver for everything.

If you look down the list to the one they made in 2011 it says “Supported legacy MOTU products include the 1224, 1296, 2408, 2408mkII, 24i, 308, 828, 828mkII, 896, 896HD, Traveler, and the UltraLite.”

There’s nothing that says they’ve stopped doing that.

edit…

In fact the 2014 driver has a readme that says they still support all those legacy products. 

• Legacy products: 1224, 1296, 2408, 2408mkII, 24i, 308, 828, 828mkII (FireWire and USB), 896, 896HD,
MicroBook, Traveler, and the UltraLite.

Supported Operating Systems:
• Mac OS X 10.9
• Mac OS X 10.8
• Mac OS X 10.7
• Mac OS X 10.6

I am a little bit confused, should I install the latest one which is the one on the Top ? or should I install the eight one from top to bottom because it is the one the mentions the 828 MKII even though the top one says all legacy products ? I installed both but I don’t know how to choose which one to us.

  [ Ignore ]  

Posted on: September 09, 2014 @ 02:54 PM
philwoodmusic
Avatar
Total Posts:  948
Joined  07-01-2013
status: Guru

I would download the latest, Venatt, simply because you are likely to be using a current or more recent OSX version.  You didn’t say which version of OSX you are running.

Although I doubt it makes any real difference because the 828mkII was a legacy product in 2011 and that hasn’t changed in 2014. So you will no doubt find exactly the same driver for the 828mkII in either download.

Keep in mind that it’s an installer for their entire product range which will change each year, but since nothing has changed for the 828mkII in that time, I’m sure it will be the same driver for the 828mkII.

Sorry for the confusion.

  [ Ignore ]  

Posted on: September 09, 2014 @ 03:29 PM
Venatt
Avatar
Total Posts:  710
Joined  07-11-2004
status: Guru

No problem, I really appreciate your help. I didn’t know there was still support for the 828MKII.

  [ Ignore ]  

Posted on: September 09, 2014 @ 04:00 PM
philwoodmusic
Avatar
Total Posts:  948
Joined  07-01-2013
status: Guru

You’re welcome.

it’s a legacy product as such, but they were good enough to include a driver for it in their very latest universal installer.

Your interface is still the same interface...so, I think you’ll be fine.

  [ Ignore ]  


 
     


Previous Topic:

‹‹ ROUTE MOTIF XF OUTPUT
Next Topic:

    New to the XF ››